Cloud Accounts

post

Create cloud credentials for an organization

🔒 Requires the create:cloud permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
or
or
or
Responses
chevron-right
200

Created cloud account information

application/json

Created cloud account information

idstring · uuidRequired

The unique identifier of the cloud account e.g. 018fae46-7d2e-78e4-80fb-7b043314d4ca

namestringRequired

The name of the cloud account e.g. Production Europe

Example: Production Europe
providerstring · enumRequired

The cloud provider e.g. aws

Example: awsPossible values:
typestring · enumRequired

The type of the cloud account

Default: executionPossible values:
slugstringRequired

The slug of the cloud account e.g. production-europe

Example: production-europe
is_activebooleanRequired

The status of the cloud account e.g. true

is_deletedbooleanRequired

The deletion status of the cloud account e.g. false

Example: false
createdstring · date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

cloud_accountstring · nullableRequired

[AWS]: The external cloud account identifier e.g. 123456789012

[GCP]: The project id e.g. project-id-123456789012

Example: 123456789012
assume_role_arnstring · nullableRequired

[AWS only] The role assumed for this cloud account e.g. arn:aws:iam::123456789012:role/Bluebricks-Setup-BluebricksReadOnlyRole-123abc456DEF

Example: arn:aws:iam::123456789012:role/Bluebricks-Setup-BluebricksReadOnlyRole-123abc456DEF
external_idstring · nullableRequired

[AWS only] The external identifier used to assume the role e.g. abcdef-ghijkl

Example: abcdef-ghijklm
post
/api/v1/cloud
get

Get cloud account information by id / slug

🔒 Requires the read:cloud permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The cloud account's slug or ID e.g. main-cloud | f27d96be-c486-4075-a926-0ee96775119d

Responses
chevron-right
200

Cloud account information

application/json

Cloud account information

idstring · uuidRequired

The unique identifier of the cloud account e.g. 018fae46-7d2e-78e4-80fb-7b043314d4ca

namestringRequired

The name of the cloud account e.g. Production Europe

Example: Production Europe
providerstring · enumRequired

The cloud provider e.g. aws

Example: awsPossible values:
typestring · enumRequired

The type of the cloud account

Default: executionPossible values:
slugstringRequired

The slug of the cloud account e.g. production-europe

Example: production-europe
is_activebooleanRequired

The status of the cloud account e.g. true

is_deletedbooleanRequired

The deletion status of the cloud account e.g. false

Example: false
createdstring · date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

cloud_accountstring · nullableRequired

[AWS]: The external cloud account identifier e.g. 123456789012

[GCP]: The project id e.g. project-id-123456789012

Example: 123456789012
assume_role_arnstring · nullableRequired

[AWS only] The role assumed for this cloud account e.g. arn:aws:iam::123456789012:role/Bluebricks-Setup-BluebricksReadOnlyRole-123abc456DEF

Example: arn:aws:iam::123456789012:role/Bluebricks-Setup-BluebricksReadOnlyRole-123abc456DEF
external_idstring · nullableRequired

[AWS only] The external identifier used to assume the role e.g. abcdef-ghijkl

Example: abcdef-ghijklm
get
/api/v1/cloud/{idOrSlug}
delete

Delete cloud account by id / slug. Deleting a cloud account will disable it and delete it

🔒 Requires the delete:cloud permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The cloud account's slug or ID e.g. main-cloud | f27d96be-c486-4075-a926-0ee96775119d

Responses
chevron-right
200

Deletion success status

application/json

Deletion success status

successbooleanOptional
delete
/api/v1/cloud/{idOrSlug}
get

Get cloud account information by provider and account ID

🔒 Requires the read:cloud permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
providerstringRequired

The cloud provider e.g. aws, gcp, azure

accountIdstringRequired

The cloud account ID e.g. 123456789012

Responses
chevron-right
200

Cloud account information

application/json

Cloud account information

idstring · uuidRequired

The unique identifier of the cloud account e.g. 018fae46-7d2e-78e4-80fb-7b043314d4ca

namestringRequired

The name of the cloud account e.g. Production Europe

Example: Production Europe
providerstring · enumRequired

The cloud provider e.g. aws

Example: awsPossible values:
typestring · enumRequired

The type of the cloud account

Default: executionPossible values:
slugstringRequired

The slug of the cloud account e.g. production-europe

Example: production-europe
is_activebooleanRequired

The status of the cloud account e.g. true

is_deletedbooleanRequired

The deletion status of the cloud account e.g. false

Example: false
createdstring · date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

cloud_accountstring · nullableRequired

[AWS]: The external cloud account identifier e.g. 123456789012

[GCP]: The project id e.g. project-id-123456789012

Example: 123456789012
assume_role_arnstring · nullableRequired

[AWS only] The role assumed for this cloud account e.g. arn:aws:iam::123456789012:role/Bluebricks-Setup-BluebricksReadOnlyRole-123abc456DEF

Example: arn:aws:iam::123456789012:role/Bluebricks-Setup-BluebricksReadOnlyRole-123abc456DEF
external_idstring · nullableRequired

[AWS only] The external identifier used to assume the role e.g. abcdef-ghijkl

Example: abcdef-ghijklm
get
/api/v1/cloud/provider/{provider}/account/{accountId}
post

Rotate static authentication token for self-hosted cloud account

🔒 Requires the create:cloud permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrSlugstringRequired

The cloud account's slug or ID e.g. main-cloud | f27d96be-c486-4075-a926-0ee96775119d

Responses
chevron-right
200

Updated cloud account information

application/json

Updated cloud account information

idstring · uuidRequired

The unique identifier of the cloud account e.g. 018fae46-7d2e-78e4-80fb-7b043314d4ca

namestringRequired

The name of the cloud account e.g. Production Europe

Example: Production Europe
providerstring · enumRequired

The cloud provider e.g. aws

Example: awsPossible values:
typestring · enumRequired

The type of the cloud account

Default: executionPossible values:
slugstringRequired

The slug of the cloud account e.g. production-europe

Example: production-europe
is_activebooleanRequired

The status of the cloud account e.g. true

is_deletedbooleanRequired

The deletion status of the cloud account e.g. false

Example: false
createdstring · date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

cloud_accountstring · nullableRequired

[AWS]: The external cloud account identifier e.g. 123456789012

[GCP]: The project id e.g. project-id-123456789012

Example: 123456789012
assume_role_arnstring · nullableRequired

[AWS only] The role assumed for this cloud account e.g. arn:aws:iam::123456789012:role/Bluebricks-Setup-BluebricksReadOnlyRole-123abc456DEF

Example: arn:aws:iam::123456789012:role/Bluebricks-Setup-BluebricksReadOnlyRole-123abc456DEF
external_idstring · nullableRequired

[AWS only] The external identifier used to assume the role e.g. abcdef-ghijkl

Example: abcdef-ghijklm
post
/api/v1/cloud/{idOrSlug}/token/rotate
get

List available cloud accounts

🔒 Requires the read:cloud permission

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
allbooleanOptional

false to list only active cloud accounts, true to also list inactive or deleted ones

Default: false
offsetnumberOptional

Results offset to allow pagination e.g. 10

Default: 0Example: 10
filterstringOptional

Structure: [key1=value1,key2=value2&value3]

limitnumberOptional

Results limit to allow pagination, e.g. 50

Default: 20Example: 10
orderstringOptional

Specifies the order - ascending or descending - by which the returned list should be sorted e.g. ASC

sortstring · enumOptional

Specifies the attribute by which the returned list should be sorted. Can include the sort direction as ‘asc’ or ‘desc’. e.g. sort=name&order=asc

Default: createdPossible values:
searchstringOptional

Enables searching within the list for cloud names that match a particular query. e.g. search=name

Responses
chevron-right
200

List of available cloud accounts

application/json

List of available cloud accounts

idstring · uuidRequired

The unique identifier of the cloud account e.g. 018fae46-7d2e-78e4-80fb-7b043314d4ca

namestringRequired

The name of the cloud account e.g. Production Europe

Example: Production Europe
providerstring · enumRequired

The cloud provider e.g. aws

Example: awsPossible values:
typestring · enumRequired

The type of the cloud account

Default: executionPossible values:
slugstringRequired

The slug of the cloud account e.g. production-europe

Example: production-europe
is_activebooleanRequired

The status of the cloud account e.g. true

is_deletedbooleanRequired

The deletion status of the cloud account e.g. false

Example: false
createdstring · date-timeRequired

The date and time the resource was created e.g. 2022-01-01T00:00:00.000Z

cloud_accountstring · nullableRequired

[AWS]: The external cloud account identifier e.g. 123456789012

[GCP]: The project id e.g. project-id-123456789012

Example: 123456789012
assume_role_arnstring · nullableRequired

[AWS only] The role assumed for this cloud account e.g. arn:aws:iam::123456789012:role/Bluebricks-Setup-BluebricksReadOnlyRole-123abc456DEF

Example: arn:aws:iam::123456789012:role/Bluebricks-Setup-BluebricksReadOnlyRole-123abc456DEF
external_idstring · nullableRequired

[AWS only] The external identifier used to assume the role e.g. abcdef-ghijkl

Example: abcdef-ghijklm
get
/api/v1/clouds

Last updated

Was this helpful?